zlanhp.f(3)

NAME
zlanhp.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function ZLANHP (NORM, UPLO, N, AP, WORK)
ZLANHP

Function/Subroutine Documentation

  DOUBLE PRECISION function ZLANHP (CHARACTERNORM, CHARACTERUPLO, INTEGERN, COMPLEX*16, dimension( * )AP, DOUBLE PRECISION, dimension( * )WORK)

ZLANHP

Purpose:

     ZLANHP  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     complex hermitian matrix A,  supplied in packed form.

Returns:
    ZLANHP

        ZLANHP = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in ZLANHP as described
              above.

    UPLO

              UPLO is CHARACTER*1
              Specifies whether the upper or lower triangular part of the
              hermitian matrix A is supplied.
              = 'U':  Upper triangular part of A is supplied
              = 'L':  Lower triangular part of A is supplied

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, ZLANHP is
              set to zero.

    AP

              AP is COMPLEX*16 array, dimension (N*(N+1)/2)
              The upper or lower triangle of the hermitian matrix A, packed
              columnwise in a linear array.  The j-th column of A is stored
              in the array AP as follows:
              if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
              if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
              Note that the  imaginary parts of the diagonal elements need
              not be set and are assumed to be zero.

    WORK

              WORK is DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
              where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
              WORK is not referenced.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 118 of file zlanhp.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.